phing-system-util

# Class: RegisterSlot Source Location: /system/util/Register.php
### Class Overview
Represents a slot in the register. | ### Methods __construct getKey getValue setKey setValue
### Class Details [line 66] Represents a slot in the register. [ Top ] ### Class Methods ### constructor __construct [line 78]
`RegisterSlot __construct( string $key)`
Constructs a new RegisterSlot, setting the key to passed param. #### Tags:
access: | public
#### Parameters:
string | $key |
[ Top ] ### method getKey [line 94]
`string getKey( )`
Gets the key / name for this slot. #### Tags:
access: | public
[ Top ] ### method getValue [line 110]
`mixed getValue( )`
Returns the value at this slot. #### Tags:
access: | public
[ Top ] ### method setKey [line 86]
`void setKey( string $k)`
Sets the key / name for this slot. #### Tags:
access: | public
#### Parameters:
string | $k |
[ Top ] ### method setValue [line 102]
`void setValue( mixed $v)`
Sets the value for this slot. #### Tags:
access: | public
#### Parameters:
mixed | $v |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:53 +0200 by phpDocumentor 1.4.3